require 'rails_helper'

# This spec was generated by rspec-rails when you ran the scaffold generator.
# It demonstrates how one might use RSpec to test the controller code that
# was generated by Rails when you ran the scaffold generator.
#
# It assumes that the implementation code is generated by the rails scaffold
# generator. If you are using any extension libraries to generate different
# controller code, this generated spec may or may not pass.
#
# It only uses APIs available in rails and/or rspec-rails. There are a number
# of tools you can use to make these specs even more expressive, but we're
# sticking to rails and rspec-rails APIs to keep things simple and stable.

RSpec.describe '/actors', type: :request do
  describe 'GET /index' do
    it 'renders a successful response' do
      FactoryBot.create_list :user, 2, :confirmed
      get actors_url
      expect(response).to be_successful
    end
  end

  describe 'GET /show' do
    it 'renders a successful response' do
      actor = FactoryBot.create(:user, :confirmed).actor
      get actor_url(actor)
      expect(response).to be_successful
    end
  end

  describe 'GET /lookup' do
    it 'renders a successful response' do
      FactoryBot.create :user, :confirmed, username: 'kevin'
      get lookup_actors_url account: 'kevin'
      expect(response).to be_successful
    end
  end
end
